
Redmine - Patch #14766

Better block detection on my page

2013-08-24 19:19 - Daniel Felix

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 2.5.0   

Description

Hi there,

I'm not sure if this is really better, but in my eyes this looks a little bit better.

I checked this line: source:/trunk/app/controllers/my_controller.rb#L142

Replace:

unless %w(top left right).detect {|f| (@blocks[f] ||= []).include?(k)}

    @block_options << [l("my.blocks.#{v}", :default => [v, v.to_s.humanize]), k.dasherize]

end

with:

unless @blocks.map{ |key, value| value}.flatten.include?(k)

    @block_options << [l("my.blocks.#{v}", :default => [v, v.to_s.humanize]), k.dasherize]

end

 This type don't need a list of defined areas (left,right,top) and could handle even more areas.

Best regards,

Daniel

Associated revisions

Revision 12658 - 2014-01-11 14:29 - Jean-Philippe Lang

Code cleanup (#14766).

Patch by Daniel Felix.

History

#1 - 2013-08-28 13:09 - Daniel Felix

- Category set to My page

- Assignee set to Toshi MARUYAMA

Hi Toshi,

maybe you have some time to take a look at this?

Best regards,

Daniel

#2 - 2014-01-11 14:30 - Jean-Philippe Lang

- Category changed from My page to Code cleanup/refactoring

- Status changed from New to Closed

- Assignee changed from Toshi MARUYAMA to Jean-Philippe Lang

- Target version set to 2.5.0

2025-05-02 1/2

https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/app/controllers/my_controller.rb#L142


Patch committed in r12658, thanks. FYI I've replaced .map{ |key, value| value} with a simple .values.
